# Update Library Security Alert

Updates the status of a library security alert

Endpoint: PUT /api/v2.0/projects/{projectToken}/alerts/security/library/{libraryUuid}
Version: 2.0
Security: bearer-key

## Security:

  - `bearer-key` (unknown)
    http bearer JWT

## Path parameters:

  - `projectToken` (string, required)
    project UUID (by running Entities - Product > Get Product Projects) or Project Token (from the Mend SCA App: **Integrate** tab > **Project Token**).

  - `libraryUuid` (string, required)
    library UUID (get a project's library by running Library - Project > Get Project Libraries.

## Request fields (application/json):

  - `status` (string)
    Enum: "ACTIVE", "IGNORED"

  - `comment` (string)
    Example: This alert is not important

  - `isViolating` (boolean)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: 1171c60d

  - `retVal` (boolean)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

